Bug 1124133 - [RFE][horizon]: Add support for Spark in data processing UI
Summary: [RFE][horizon]: Add support for Spark in data processing UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 6.0 (Juno)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 04:04 UTC by RHOS Integration
Modified: 2015-03-23 05:21 UTC (History)
11 users (show)

Fixed In Version: python-django-horizon-2014.2-4.el7ost
Doc Type: Enhancement
Doc Text:
With this update, the dashboard supports Spark EDP jobs for OpenStack Data Processing (sahara); the user can now add "Spark" as a job type when creating jobs. To support the new job type, help text has been added for Spark-job creation, appropriate configuration fields are hidden when launching a Spark job, and the job-type list is now translatable.
Clone Of:
Environment:
Last Closed: 2015-02-09 14:56:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0154 normal SHIPPED_LIVE python-django-horizon enhancement advisory 2015-02-09 19:52:20 UTC

Description RHOS Integration 2014-07-29 04:04:40 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/data-processing-spark-support.

Description:

For Juno, Spark jobs will be supported in the Sahara data processing engine.  Given that, the data processing dashboard will need some changes to support the new job type.  

The corresponding Sahara-api spec can be found at:  https://review.openstack.org/#/c/109403/

The anticipated changes are as follows:
* add a new job type for Spark jobs (job creation)
* job launch config screen may have spark-specific fields included or non-applicable fields excluded (tbd)
* help text updated to include spark-specific notes as needed

Specification URL (additional information):

None

Comment 4 errata-xmlrpc 2015-02-09 14:56:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0154.html


Note You need to log in before you can comment on or make changes to this bug.